# Disable debug
%define debug_package %{nil}
%define __strip /bin/true
%global __brp_mangle_shebangs /bin/true

Name:           etherpad
Summary:        Etherpad is a real-time collaborative editor
Version:        1.8.18
Release:        1%{?dist}
License:        Apache 2.0
URL:            https://meet.jit.si/
Source0:        https://github.com/ether/etherpad-lite/archive/refs/tags/%{version}.tar.gz
Source20:       etherpad.service
BuildRequires:  nodejs >= 12
BuildRequires:  npm >= 6
BuildRequires:  make
BuildRequires:  systemd
BuildRequires:  systemd-rpm-macros
Requires:       nodejs >= 12
Requires:       abiword

%description
Etherpad is a real-time collaborative editor scalable to thousands of
simultaneous real time users. It provides full data export capabilities,
and runs on your server, under your control.


%prep
%autosetup -n etherpad-lite-%{version}


%build
./src/bin/installDeps.sh


%install
install -d $RPM_BUILD_ROOT%{_datadir}/etherpad
install -d $RPM_BUILD_ROOT%{_sysconfdir}/etherpad
install -d $RPM_BUILD_ROOT%{_unitdir}

install -p -m 644 %{SOURCE20} $RPM_BUILD_ROOT%{_unitdir}

cp -r * $RPM_BUILD_ROOT%{_datadir}/etherpad

mv $RPM_BUILD_ROOT%{_datadir}/etherpad/settings.json $RPM_BUILD_ROOT%{_sysconfdir}/etherpad/settings.json
touch $RPM_BUILD_ROOT%{_sysconfdir}/etherpad/APIKEY.txt
touch $RPM_BUILD_ROOT%{_sysconfdir}/etherpad/SESSIONKEY.txt
touch $RPM_BUILD_ROOT%{_sysconfdir}/etherpad/credentials.json

sed -i 's/"abiword":.*/"abiword": "\/usr\/bin\/abiword",/g' $RPM_BUILD_ROOT%{_sysconfdir}/etherpad/settings.json


%pre
getent group etherpad >/dev/null || groupadd -r etherpad
getent passwd etherpad >/dev/null || \
    useradd -r -g etherpad -d %{_datadir}/etherpad -s /sbin/nologin \
    -c "Etherpad account" etherpad
exit 0

%systemd_post etherpad.service

%preun
%systemd_preun etherpad.service

%postun
%systemd_postun_with_restart etherpad.service

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%{!?_licensedir:%global license %%doc}
%license LICENSE
%doc README.md SECURITY.md CHANGELOG.md

%dir %attr(0775, root, etherpad) %{_sysconfdir}/etherpad
%config(noreplace) %attr(0640, root, etherpad) %{_sysconfdir}/etherpad/*

%dir %{_datadir}/etherpad
%{_datadir}/etherpad/*
%{_unitdir}/*


%changelog
* Fri Jan 21 2022 Zoran Pericic <zpericic@infomaas.com> 2.0.6826-1
- Initial RPM release

